<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php
/*
 * Pontifical Catholic University of Rio de Janeiro
 *
 * Authors: LabBio Group
 * Created on 01/09/2009
 */

//------------------------------------------------------
//      Critica Complementar dos dados para Inclus�o
// ----------------------------------------------------

if (strlen($cpfAluno) != 0)
{
  if (strlen($cpfAluno) != 14)
  {
     $erro = "Erro: tamanho do cpf deve ter que 14 digitos incluindo pontos e traco";
     $_SESSION["f_retorno"]= $erro;
     pg_close($dbh);
     header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
     exit;
  }
}

if (strlen($inepAluno) > 25)
{
   $erro = "Erro: tamanho do inep maior que 25 posicoes";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if (strlen($nisAluno) != 0)
{
  if (strlen($nisAluno) > 11)
  {
     $erro = "Erro: tamanho do nis maior que 11 posicoes";
     $_SESSION["f_retorno"]= $erro;
     pg_close($dbh);
     header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
     exit;
  }
}

// Verifica��o do n�mero do cart�o SUS

if (strlen($cartaoSus) != 0        &&
    substr($cartaoSus,0,1) != '8'  &&
    substr($cartaoSus,0,1) != '9')
{
   $cartaoSusValido = '1';
   if ((strlen(trim($cartaoSus))) != 15)
   {
      $cartaoSusValido = '0';
   }
   $pis = substr($cartaoSus,0,11);
   $soma = (((substr($pis, 0,1)) * 15) +
 	        ((substr($pis, 1,1)) * 14) +
	        ((substr($pis, 2,1)) * 13) +
	        ((substr($pis, 3,1)) * 12) +
	        ((substr($pis, 4,1)) * 11) +
	        ((substr($pis, 5,1)) * 10) +
	        ((substr($pis, 6,1)) * 9)  +
	        ((substr($pis, 7,1)) * 8)  +
	        ((substr($pis, 8,1)) * 7)  +
	        ((substr($pis, 9,1)) * 6) +
	        ((substr($pis, 10,1)) * 5));
   $resto = fmod($soma, 11);
   $dv = 11  - $resto;
   if ($dv == 11)
   {
      $dv = 0;
   }
   if ($dv == 10)
   {
      $soma = ((((substr($pis, 0,1)) * 15) +
      	        ((substr($pis, 1,1)) * 14) +
                ((substr($pis, 2,1)) * 13) +
                ((substr($pis, 3,1)) * 12) +
                ((substr($pis, 4,1)) * 11) +
	            ((substr($pis, 5,1)) * 10) +
	            ((substr($pis, 6,1)) * 9)  +
	            ((substr($pis, 7,1)) * 8)  +
	            ((substr($pis, 8,1)) * 7)  +
	            ((substr($pis, 9,1)) * 6) +
	            ((substr($pis, 10,1)) * 5)) + 2);
      $resto = fmod($soma, 11);
      $dv = 11  - $resto;
      $resultado = $pis."001".$dv;
   }
   else
   {
      $resultado = $pis."000".$dv;
   }
   if (strcmp($cartaoSus, $resultado) != 0)
   {
      $erro = "Erro: Numero do cadSus invalido";
      $_SESSION["f_retorno"]= $erro;
      pg_close($dbh);
      header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
      exit;
   }
}
else
{
   $soma = ((substr($cartaoSus,0,1)) * 15) +
           ((substr($cartaoSus,1,1)) * 14) +
	       ((substr($cartaoSus,2,1)) * 13) +
	       ((substr($cartaoSus,3,1)) * 12) +
	       ((substr($cartaoSus,4,1)) * 11) +
	       ((substr($cartaoSus,5,1)) * 10) +
   	       ((substr($cartaoSus,6,1)) * 9)  +
           ((substr($cartaoSus,7,1)) * 8)  +
    	   ((substr($cartaoSus,8,1)) * 7)  +
	       ((substr($cartaoSus,9,1)) * 6)  +
	       ((substr($cartaoSus,10,1)) * 5) +
           ((substr($cartaoSus,11,1)) * 4) +
	       ((substr($cartaoSus,12,1)) * 3) +
	       ((substr($cartaoSus,13,1)) * 2) +
	       ((substr($cartaoSus,14,1)) * 1);
   $resto = fmod($soma, 11);
   if ($resto != 0)
   {
      $erro = "Erro: Numero do cadSus invalido";
      $_SESSION["f_retorno"]= $erro;
      pg_close($dbh);
      header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
      exit;
   }
}
if (ufNascimentoAluno ==  '0')
{
   $erro = "Erro: Data de Nascimento nao digitada";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if (strlen(dataNascimentoAluno) == 0)
{
   $erro = "Erro: Data de Nascimento nao digitada";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}
/*
if ($certidaoApresentada == '1'                &&
    (
     strlen($certidaoNascimentoCartorio) == 0  &&
     strlen($certidaoNascimentoTermo)    == 0  &&
     strlen($certidaoNascimentoFolha)    == 0  &&
     strlen($certidaoNascimentoLivro)    == 0  &&
     strlen($certidaoNascimentoEmisao)   == 0
    ))
{
   $erro = "Erro: Nenhuma informa�ao foi digitada para certidao apresentada ";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($certidaoApresentada == '0'                 &&
    (
     strlen($certidaoNascimentoCartorio)  != 0  ||
     strlen($certidaoNascimentoTermo)     != 0  ||
     strlen($certidaoNascimentoFolha)     != 0  ||
     strlen($certidaoNascimentoLivro)     != 0  ||
     strlen($certidaoNascimentoEmisao)    != 0
    ))
{
   $erro = "Erro: Informacao digitada para certidao nao apresentada ";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($certidaoDigitalizada == '1' && $certidaoApresentada == '0')
{
   $erro = "Erro: Digitalizada uma certidao nao apresentada";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}



if ($existeRegistroPai == '0' && strlen($nomePai) == 0)
{
   $erro = "Erro: informacao de nome de pai, com registro, nao declarado";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($existeRegistroMae == '0' && strlen($nomeMae) == 0)
{
   $erro = "Erro: informacao de nome da mae, com registro, nao declarado";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

*/

if ($existeRegistroPai == '1' && strlen($nomePai) != 0)
{
   $erro = "Erro: Digitada informacao de pai declarado sem registro";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($existeRegistroMae == '1' && strlen($nomeMae) != 0)
{
   $erro = "Erro: Digitada informacao de mae declarada sem registro";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if (strlen($nomeResponsavel) != 0 && strlen(grauParentescoResponsavel) == 0)
{
   $erro = "Erro: Nao foi especificado grau de parentesco do responsavel";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if (strlen($nomeResponsavel) == 0 && strlen($grauParentescoResponsavel) != 0)
{
   $erro = "Erro: Foi especificado grau de parentesco para responsavel nao digitado";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

/*
if (strlen($cpfAluno) == 0    &&
    (
     $cpfComprovado   == '1'  ||
     $cpfDigitalizado == '1'
    ))
{
   $erro = "Erro: Consta como comprovado ou digitalizado cpf nao declarado";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if (strlen($cpfAluno) != 0   && $cpfComprovado   == '0')
{
   $erro = "Erro: Nao consta como comprovado cpf declarado";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($cpfComprovado == '0' && $cpfDigitalizado == '1')
{
   $erro = "Erro: declarado digitalizado cpf n�o comprovado";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

*/

// verifica cpf

if (strlen($cpfAluno) != 0)
{
   $cpfVerifica =  substr($cpfAluno,0,3) .
                   substr($cpfAluno,4,3) .
                   substr($cpfAluno,8,3) .
                   substr($cpfAluno,12,2) ;
   if(!is_numeric($cpfVerifica))
   {
     $cpfValido = '0';
   }
   else
   {
     if( ($cpfVerifica == '11111111111') ||
         ($cpfVerifica == '22222222222') ||
         ($cpfVerifica == '33333333333') ||
         ($cpfVerifica == '44444444444') ||
         ($cpfVerifica == '55555555555') ||
         ($cpfVerifica == '66666666666') ||
         ($cpfVerifica == '77777777777') ||
         ($cpfVerifica == '88888888888') ||
         ($cpfVerifica == '99999999999') ||
         ($cpfVerifica == '00000000000')
       )
     {
        $cpfValido = '0';
     }
     else
     {
        $digitoVerificador = substr($cpfVerifica, 9,2);
        for($i=0; $i<=8; $i++)
        {
           $digito[$i] = substr($cpfVerifica, $i,1);
        }
        $posicao = 10;
        $soma = 0;
        for($i=0; $i<=8; $i++)
        {
           $soma = $soma + $digito[$i] * $posicao;
           $posicao = $posicao - 1;
        }
        $digito[9] = $soma % 11;
        if($digito[9] < 2)
        {
           $digito[9] = 0;
        }
        else
        {
           $digito[9] = 11 - $digito[9];
        }
        $posicao = 11;
        $soma = 0;
        for ($i=0; $i<=9; $i++)
        {
           $soma = $soma + $digito[$i] * $posicao;
           $posicao = $posicao - 1;
        }
        $digito[10] = $soma % 11;
        if ($digito[10] < 2)
        {
            $digito[10] = 0;
        }
        else
        {
            $digito[10] = 11 - $digito[10];
        }
        $dv = $digito[9] * 10 + $digito[10];
       if ($dv != $digitoVerificador)
       {
           $cpfValido = '0';
       }
       else
       {
        $cpfValido = '1';
       }
     }
   }
   if ($cpfValido == '0')
   {
      $erro = "Erro: cpf invalido";
      $_SESSION["f_retorno"]= $erro;
      pg_close($dbh);
      header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
      exit;
   }
}

if ($responsavelMatricula == '1'   &&
    (
      strlen($nomePai) == 0             ||
      strlen($numDocIdPai) == 0         ||
      strlen($tipoDocIdPai) == 0
    ))
{
   $erro = "Erro: Dados responsavel (pai) pela matricula nao digitados";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($responsavelMatricula == '2'   &&
    (
      strlen($nomeMae) == 0             ||
      strlen($numDocIdMae) == 0         ||
      strlen($tipoDocIdMae) == 0
    ))
{
   $erro = "Erro: Dados responsavel (mae) pela matricula nao digitados";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($responsavelMatricula == '3'    &&
    (
      strlen($nomeResponsavel) == 0      ||
      strlen($numDocIdResponsavel) == 0  ||
      strlen($tipoDocIdResponsavel) == 0
    ))
{
   $erro = "Erro: Dados responsavel (pessoa/parente) por matricula nao digitados";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($especialAluno == '1'  && strlen($tipoNecessidadeEspecial[0]) == 0)
{
   $erro = "Erro: Indicacao de especial, mas omitido qual tipo de necessidade especial";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($especialAluno == '0'  && strlen($tipoNecessidadeEspecial[0]) != 0)
{
   $erro = "Erro: Informado tipo de necessidade especial para um  aluno, sem especificar se especial ou nao";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($especialAluno == '1'  && strlen($tipoNecessidadeEspecial[0]) == 0)
{
   $erro = "Erro: Nao informado tipo de necessidade especial para um  aluno declarado ser especial";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($especialAluno == '0' && $comprovadoEspecial == '1')
{
   $erro = "Erro: Comprovado portador necessidade especial sem especificar que aluno � especial";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($digitalizadoEspecial == '1' && $comprovadoEspecial == '0')
{
   $erro = "Erro: Informou digitaliza��o de documento de portador nde necessidade especial sem que fosse comprovado";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($comprovadoEspecialAluno == '1'  && strlen($tipoNecessidadeEspecial[0]) == 0)
{
   $erro = "Erro: Informado que foi comprovada a necessidade especial sem especificar o tipo de necessidade ";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

/*

if ($especialAluno == '1' && strlen($comprovadoEspecial) == 0)
{
   $erro = "Erro: Nao especificado apresentacao  de documento comprobatorio de necessidade especial ";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($especialAluno == '1' && strlen($digitalizadoEspecial) == 0)
{
   $erro = "Erro: Nao especificado digitalizacao de documento comprobatorio de necessidade especial ";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

*/

if($corRacaAluno == '')
{
   $erro = "Erro: Informar cor/raca do aluno";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if (strlen($dataNascimentoAluno) == 0)
{
   $erro = "Erro: Data de Nascimento nao digitada";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($nacionalidadeAluno == '')
{
   $erro = "Erro: Nao especificou uma nacionalidade para oaluno ";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($nacionalidadeAluno == '1'  && trim($codigoPaisAluno) != '10')
{
 echo "$nacionalidadeAluno - $codigoPaisAluno <br>";
die("passei");


   $erro = "Erro: Informado pais diferente de Brasil para nacionalidade brasileira ou naturalizada ";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if (($nacionalidadeAluno == '2' || $nacionalidadeAluno == '3')  &&
     $codigoPaisAluno == '10')
{
   $erro = "Erro: Informado  Brasil como pais para aluno com nacionalidade estrangeira ";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}
/*
if (strlen($dataIngressoAlunoEscola) != 0 &&
    ($dataIngressoAlunoEscola > $dataMatricula))
{
   $erro = "Erro: Informada data de ingresso na escola posterior a data de matricula ";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}
*/
if ($alunoTransferido == '1' && $tipoEscolaOrigem == '')
{
   $erro = "Erro: Nao foi informado o tipo de escolade transferencia";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

/* Rtirada temporariamente

if ($alunoTransferido == '0'                &&
    (
      $tipoEscolaOrigem != '0'              ||
      strlen($outrosTiposEscolaOrigem) != 0 ||
      strlen($nomeEscolaOrigem) != 0
    ))
{
   $erro = "Erro: Informados dados de uma escola origem anterior sem registrar que houve transferencia";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}
*/

if ($tipoEscolaOrigem == '6' && strlen($outrosTiposEscolaOrigem) == 0)
{
   $erro = "Erro: Nao especificou outro tipo para escola origem da transferencia";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($alunoTransferido == '1' && strlen($nomeEscolaOrigem) == 0)
{
   $erro = "Erro: Nao foi especificada a unidade de origem do aluno na transferencia ";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($possuiIrmaoEscolaMunicipal == '0'  &&
    (
      strlen($nomeIrmao1) != 0     ||
      strlen($nomeIrmao2) != 0     ||
      strlen($nomeIrmao3) != 0     ||
      strlen($nomeIrmao4) != 0     ||
      strlen($nomeIrmao5) != 0
    ))
{
   $erro = "Erro: Informacao sobre irmaos em escolas municipais inconsistente";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($tipoEscolaOrigem != '6' && strlen($outrosTiposEscolaOrigem) != 0)
{
   $erro = "Erro: Especificou outro tipo para escola origem sem assinalar que era outro tipo de escola";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if (strlen($telefoneFixoAluno) != 0 && $possuiTelefoneFixo == '1')
{
   $erro = "Erro: Informou nao possuir telefone fixo , mas numero do telefone foi digitado ";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if (strlen($telefoneCelularAluno) != 0 && $possuiTelefoneCelular == '1')
{
   $erro = "Erro: Informou nao possuir telefone celular , mas numero do telefone foi digitado ";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if (strlen($telefoneRecadoAluno) != 0 && $possuiTelefoneRecado == '1')
{
   $erro = "Erro: Informou nao possuir telefone de recado , mas numero do telefone foi digitado ";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if (strlen($telefoneFixoAluno) != 0 && $possuiemail == '1')
{
   $erro = "Erro: Informou nao possuir email , mas numero do telefone foi digitado ";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if (strlen($logradouroGeoiguacuAluno) != 0 && $logradouroNaoCadastrado == '1')
{
   $erro = "Erro: Foi informado o geoiguacu, mas declarado o imovel ou logradouro ser nao cadastrado";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if (strlen($logradouroGeoiguacuAluno) == 0 && $logradouroNaoCadastrado != '1')
{
   $erro = "Erro: Imovel ou logradouro foi informado ser cadastrado no geoiguacu,mas nao foi informado o numero do cadastro";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ($logradouroNaoCadastrado == '1' && strlen($logradouroGeoiguacuJustificativa) == 0)
{
   $erro = "Erro: Faltou justificativa para logradouro nao cadastrado";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

/*

if (strlen($logradouroGeoIguacuAluno) !=0 && strcmp($logradouroMunicipioAluno, '3303500') != 0)
{
   $erro = "Erro: Digitado codigo geoiguacu para logradouro/imovel nao situado Nova Iguacu";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}


 */
 /*
if ((strlen($nomeEscolaAnterior) == 0 || strlen($codigoEscolaAnterior)) == 0 &&
    $tipoEscolaAnterior == '')
{
   $erro = "Erro: Especificar o tipo da escola referente a matricula anterior";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}
*/
/*
if ((strlen($nomeEscolaAnterior) != 0 || strlen($codigoEscolaAnterior)) != 0 &&
     $escolaridadeAnterior == '')
{
   $erro = "Erro: Nao especificou escolaridade relativa ao ano anterior";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}
*/
/*

if ((strlen($nomeEscolaAnterior) != 0 || strlen($codigoEscolaAnterior)) != 0 &&
     $aprovadoAnterior == '')
{
   $erro = "Erro: Nao especificou se aluno foi aprovado ou nao na matricula anterior";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ((strlen($nomeEscolaAnterior) != 0 || strlen($codigoEscolaAnterior)) != 0 &&
     strlen($turnoAnterior) == 0)
{
   $erro = "Erro: Nao especificou turno relativo a matricula anterior";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ((strlen($nomeEscolaAnterior) != 0 || strlen($codigoEscolaAnterior)) != 0 &&
     $comprovadoAnterior == '')
{
   $erro = "Erro: Nao especificou se comprovou matricula anterior ou nao";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ((strlen($nomeEscolaAnterior) != 0 || strlen($codigoEscolaAnterior)) != 0 &&
     $turnoAnterior == '')
{
   $erro = "Erro: Nao especificou horario integral relativo a matricula anterior";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

if ((strlen($nomeEscolaAnterior) != 0 || strlen($codigoEscolaAnterior)) != 0 &&
     $horarioIntegralAnterior == '')
{
   $erro = "Erro: Nao especificou turno relativo a matricula anterior";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

*/
/*
if ((strlen($nomeEscolaAnterior) == 0 && strlen($codigoEscolaAnterior) == 0) &&
     $escolaridadeAnterior != '')
{
   $erro = "Erro: Especificou escolaridade relativa ao ano anterior sem discriminar escola ou codigo de escola anterior";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}
*/
/*
if ((strlen($nomeEscolaAnterior) == 0 && strlen($codigoEscolaAnterior) == 0) &&
     $aprovadoAnterior != '')
{
   $erro = "Erro: Especificou que aluno foi aprovado, ou nao, na matricula anterior sem especificar escola anterior";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}
*/
/*

if ((strlen($nomeEscolaAnterior) == 0 && strlen($codigoEscolaAnterior) == 0) &&
     $turnoAnterior != '')
{
   $erro = "Erro: Especificou turno relativo a matricula anterior sem discriminar escolaou codgo de escola anterior";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}

*/
/*

if ((strlen($nomeEscolaAnterior) == 0 && strlen($codigoEscolaAnterior) == 0) &&
     $comprovadoAnterior != '')
{
   $erro = "Erro: Especificou comprovacao de  matricula anterior sem citar escola ou codigo de escola";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;
}
*/
/*

if ((strlen($nomeEscolaAnterior) == 0 && strlen($codigoEscolaAnterior) == 0) &&
     $horarioIntegralAnterior != '')
{
   $erro = "Erro: Especificou horario integral relativo a matricula anterior sem citar escola ou codigo de escola anterior";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:recadastra.php?reacao=retorno&acao=recadastra&inepaluno='.$inepAluno);
   exit;


}
*/

?>
